Subject: [PATCH v4 05/19] ARM: GIC: remove direct use of gic_raise_softirq

From: [email-masked] (Arnd Bergmann)
Date: Thu, 3 Jan 2013 22:03:54 +0000

On Thursday 03 January 2013, Stephen Warren wrote:
> On 01/03/2013 10:54 AM, Rob Herring wrote:
> > From: Rob Herring <[email-masked]>
> > 
> > In preparation of moving gic code to drivers/irqchip, remove the direct
> > platform dependencies on gic_raise_softirq. Move the setup of
> > smp_cross_call into the gic code and use arch_send_wakeup_ipi_mask
> > function to trigger wake-up IPIs.
> 
> For all the Tegra-related parts,
> Acked-by: Stephen Warren <[email-masked]>
> 
> Will this series be put into an arm-soc (or other stable) branch that I
> can pull into any Tegra branches in case there are any merge conflicts?

Yes, I think we should have it in arm-soc, there would be a lot of
nasty conflicts otherwise.

It probably makes sense to also have it in the tip tree if since
Thomas Gleixner as the IRQ maintainer is the owner of this subsystem,
unless he has other preferences.

I would also suggest adding the patch below to the series. Note that
I don't care who is maintaining drivers/irqchip, and Rob might want
to be listed as well, but Thomas mentioned a couple of months ago
that he wanted to get Cc'd on irqchip drivers patches.

8<-----
irqchip: add MAINTAINERS entry for drivers/irqchip

The drivers/irqchip directory now contains generic irqchip drivers,
so it makes sense to add them to the MAINTAINERS entry for the
IRQ subsystem.

Signed-off-by: Arnd Bergmann <[email-masked]>

diff --git a/MAINTAINERS b/MAINTAINERS
index 4e2a1f6..a828240 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -4185,6 +4185,7 @@ M:	Thomas Gleixner <[email-masked]>
 S:	Maintained
 T:	git git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git irq/core
 F:	kernel/irq/
+F:	drivers/irqchip/
 
 IRQ DOMAINS (IRQ NUMBER MAPPING LIBRARY)
 M:	Benjamin Herrenschmidt <[email-masked]>